org.apache.cassandra.index

## Interface IndexRegistry

- All Known Implementing Classes:
    SecondaryIndexManager

      public interface IndexRegistry

  The collection of all Index instances for a base table. The SecondaryIndexManager for a ColumnFamilyStore contains an IndexRegistry (actually it implements this interface at present) and Index implementations register in order to: i) subscribe to the stream of updates being applied to partitions in the base table ii) provide searchers to support queries with the relevant search predicates

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Index` | `getIndex(IndexMetadata indexMetadata)`
    `java.util.Collection<Index>` | `listIndexes()`
    `void` | `registerIndex(Index index)`
    `void` | `unregisterIndex(Index index)`

- - ### Method Detail

    - #### registerIndex

          void registerIndex(Index index)

    - #### unregisterIndex

          void unregisterIndex(Index index)

    - #### getIndex

          Index getIndex(IndexMetadata indexMetadata)

    - #### listIndexes

          java.util.Collection<Index> listIndexes()

Copyright © 2018 The Apache Software Foundation